## dbus 1.10.20

=== debian/changelog ===
dbus (1.10.20-1.0nosystemd1) nosystemd-buster; urgency=medium

  * Non-maintainer upload.
  * Cure systemd infestation.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 30 Jun 2017 23:37:15 +0200

dbus (1.10.20-1) unstable; urgency=medium

  * New upstream stable release
    - Drop Doxygen reproducibility patch, applied upstream
  * Merge packaging from experimental:
    - Don't capture build directory in the debug build, using a patch
      backported from upstream git master
    - Move doxygen and xsltproc to Build-Depends-Indep, and don't
      build documentation when not building dbus-1-doc. This speeds
      up architecture-specific builds.
    - Remove support for DEB_BUILD_OPTIONS="nodoc noudeb". Use build
      profiles instead; support nocheck, nodoc, noudeb and stage1 profiles
      (Closes: #728820)
    - Simplify the layout of the debug build.
    - Drop the dbus-1-dbg binary package. Move the debug build to
      dbus-tests, and the debug symbols to automatically generated
      -dbgsym packages.
    - Don't run the installed-tests two different ways, just use
      gnome-desktop-testing.
    - Configure the debug build with --enable-embedded-tests rather than
      --enable-tests. The latter requires python, python-dbus and python-gi,
      but only for build-time tests that we do not actually run (#630152).
      + Drop build-dependencies on python, python-dbus and python-gi
      + This should make dbus much easier to cross-compile (Closes: #560834)
    - gnome-desktop-testing: Require xauth and xvfb-run for better test
      coverage
    - Clean up upgrade/compatibility code that is no longer needed:
      + Stop creating the symlinks required to keep dbus-daemon 1.8
        from Debian 8 'jessie' able to reload configuration after
        an upgrade to dbus 1.10 in Debian 9 'stretch'. Upgrades that
        skip a stable release are not supported.
      + On upgrade, remove compatibility symlinks created by that
        upgrade, if they exist.
      + Stop cleaning those symlinks up during package removal.
    - Stop patching system.conf, session.conf to load
      /etc/dbus-1/*.conf.dpkg-bak.
    - debian/copyright: Use https for Format and Source
    - debian/dbus.triggers: Add a trigger on /usr/share/dbus-1/system.d
      to reload the dbus-daemon
    - Unversion (build)-dependencies that are satisfied in oldstable
    - Declare Policy 4.0.0 compliance
    - Use the debug-build binaries to run the debug-build tests

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jun 2017 22:16:11 +0100
