## dbus 1.10.22

=== debian/changelog ===
dbus (1.10.22-1ubuntu1) artful; urgency=medium

  * Merge with Debian but don't use "really" version number since we never
    had the 1.11 version in Ubuntu. Remaining changes:
    - Clean up /etc/init/dbus.conf on upgrades. This needs to be kept until
      after 18.04 LTS.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems.
      (LP: #1438612) (LP: #1540282)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jul 2017 10:20:42 -0400

dbus (1.11.16+really1.10.22-1) unstable; urgency=medium

  * Re-version to recover from accidental upload of 1.11.16 to unstable
  * Don't run build-time tests (reopens: #630152).
    They don't work for users with a nonexistent home directory.

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jul 2017 23:01:37 +0100

dbus (1.10.22-1) unstable; urgency=medium

  * New upstream stable release
  * Run build-time tests (Closes: #630152)
    - Skip build-time tests when only building Architecture: all.
      Once per architecture is enough.
  * Build-depend on python3{,-dbus,-gi} if we will run build-time tests.
    This is a circular dependency, but is flagged as
    <!nocheck !pkg.dbus.minimal> so it can be omitted when
    cross-compiling or bootstrapping.
  * Enable valgrind integration in the debug build on mips64
  * Replace stage1 build profile with pkg.dbus.minimal
  * Drop explicit dependency on autotools-dev, implied by debhelper 10
  * debian/upstream/signing-key.asc: Update subkeys and uids

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jul 2017 17:40:18 +0100

dbus (1.10.18-1ubuntu2) artful; urgency=medium

  * Restore accidentally dropped debian/rules modification
    to not start D-Bus on package installation

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Jun 2017 21:44:39 -0400

dbus (1.10.18-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - Clean up /etc/init/dbus.conf on upgrades. This needs to be kept until
      after 18.04 LTS.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems.
      (LP: #1438612) (LP: #1540282)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
  * Dropped changes:
    - make-uid-0-immune-to-timeout.patch: Applied in new release
    - debian/dbus.user-session.upstart

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Jun 2017 19:54:35 -0400
