=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
@@ -10,18 +11,21 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  automake,
- autotools-dev,
  debhelper (>= 10),
  dh-exec,
- libapparmor-dev [linux-any] <!stage1>,
- libaudit-dev [linux-any] <!stage1>,
- libcap-ng-dev [linux-any] <!stage1>,
+ libapparmor-dev [linux-any] <!pkg.dbus.minimal>,
+ libaudit-dev [linux-any] <!pkg.dbus.minimal>,
+ libcap-ng-dev [linux-any] <!pkg.dbus.minimal>,
  libexpat-dev,
- libglib2.0-dev <!stage1>,
- libselinux1-dev [linux-any] <!stage1>,
- libx11-dev <!stage1>,
- valgrind [amd64 arm64 armhf i386 mips64el mips mipsel powerpc ppc64 ppc64el s390x] <!stage1>,
- xmlto <!nodoc !stage1>,
+ libglib2.0-dev <!pkg.dbus.minimal>,
+ libselinux1-dev [linux-any] <!pkg.dbus.minimal>,
+ libsystemd-dev [linux-any] <!pkg.dbus.minimal>,
+ libx11-dev <!pkg.dbus.minimal>,
+ python3 <!nocheck !pkg.dbus.minimal>,
+ python3-dbus <!nocheck !pkg.dbus.minimal>,
+ python3-gi <!nocheck !pkg.dbus.minimal>,
+ valgrind [amd64 arm64 armhf i386 mips64 mips64el mips mipsel powerpc ppc64 ppc64el s390x] <!pkg.dbus.minimal>,
+ xmlto <!nodoc !pkg.dbus.minimal>,
 Build-Depends-Indep:
  doxygen <!nodoc>,
  xsltproc <!nodoc>,
@@ -60,7 +64,7 @@
  longer contained in this package.
 
 Package: dbus-1-doc
-Build-Profiles: <!nodoc !stage1>
+Build-Profiles: <!nodoc !pkg.dbus.minimal>
 Section: doc
 Architecture: all
 Depends:
@@ -78,7 +82,7 @@
  See the dbus description for more information about D-Bus in general.
 
 Package: dbus-tests
-Build-Profiles: <!stage1>
+Build-Profiles: <!pkg.dbus.minimal>
 Section: misc
 Priority: extra
 Architecture: any
@@ -122,7 +126,7 @@
  suitable for use as a system bus.
 
 Package: dbus-user-session
-Build-Profiles: <!stage1>
+Build-Profiles: <!pkg.dbus.minimal>
 Architecture: all
 Multi-Arch: foreign
 Provides:
@@ -132,14 +136,15 @@
  ${misc:Pre-Depends},
 Depends:
  dbus (>= ${source:Version}),
- ${misc:Depends},
+ libpam-systemd,
+ systemd,
+ ${misc:Depends},
+Recommends:
+ systemd-sysv,
 Breaks:
  dbus-x11 (<< 1.9.10-2~),
  policykit-1 (<< 0.105-12~),
  udisks2 (<< 2.1.5-2~),
-Conflicts:
- libpam-systemd,
- systemd,
 Description: simple interprocess messaging system (systemd --user integration)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -164,7 +169,7 @@
  See the dbus package description for more information about D-Bus in general.
 
 Package: dbus-x11
-Build-Profiles: <!stage1>
+Build-Profiles: <!pkg.dbus.minimal>
 Architecture: any
 Section: x11
 Provides:
