=== debian/rules ===
--- 
+++ 
@@ -34,17 +34,20 @@
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	$(NULL)
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 # Non-bootstrap build on Linux: add Linux-specifics
 common_configure_flags += \
 		--enable-apparmor \
 		--enable-libaudit \
 		--enable-selinux \
-		--disable-systemd \
+		--enable-systemd \
+		--with-systemdsystemunitdir=/lib/systemd/system \
+		SYSTEMCTL=/bin/systemctl \
 		$(NULL)
 normal_configure_flags += \
 	--enable-user-session \
+	--with-systemduserunitdir='$${prefix}/lib/systemd/user' \
 	$(NULL)
 endif
 endif
@@ -78,13 +81,17 @@
 	CFLAGS='$(CFLAGS) -Os' \
 	$(NULL)
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
 common_configure_flags += --enable-installed-tests
 else
 common_configure_flags += --disable-installed-tests
 endif
 
-ifeq ($(filter nodoc stage1,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter nocheck pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
+common_configure_flags += PYTHON=/usr/bin/python3
+endif
+
+ifeq ($(filter nodoc pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
 normal_configure_flags += --enable-xml-docs
 else
 normal_configure_flags += --disable-xml-docs
@@ -96,8 +103,8 @@
 normal_configure_flags += --disable-doxygen-docs
 endif
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-# not a stage1 build - build all the tests
+ifeq ($(filter pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
+# not a minimal build - build all the tests
 debug_configure_flags += --enable-embedded-tests
 endif
 
@@ -169,7 +176,7 @@
 	# normal build (do this last so that it overwrites the others)
 	dh_auto_install
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.la
-ifeq ($(filter nodoc stage1,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter nodoc pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
 	# Reproducible build: sed out the generated dates from the man pages.
 	sed -i \
 		-e '/^\.\\\" *Date: .*/d' \
@@ -177,16 +184,17 @@
 		debian/tmp/usr/share/man/man?/*
 endif
 ifeq ($(filter dbus-tests,$(binaries)),)
-	# stage1 builds dbus-test-tool but not dbus-tests
+	# pkg.dbus.minimal builds dbus-test-tool but not dbus-tests
 	rm -f debian/tmp/usr/bin/dbus-test-tool
 endif
 ifeq ($(filter dbus-x11,$(binaries)),)
-	# stage1 builds dbus-launch with degraded functionality, but not
-	# dbus-x11
+	# pkg.dbus.minimal builds dbus-launch with degraded
+	# functionality, but not dbus-x11
 	rm -f debian/tmp/usr/bin/dbus-launch
 endif
 ifeq ($(filter dbus-1-doc,$(binaries)),)
-	# nodoc or stage1 builds still install a bit of documentation
+	# nodoc or pkg.dbus.minimal builds still install a bit of
+	# documentation
 	rm -fr debian/tmp/usr/share/doc/dbus
 endif
 	# Remove the legacy bus configuration files. We move their old
@@ -198,8 +206,6 @@
 	rm -f debian/tmp/etc/dbus-1/system.conf
 	# dbus.target no longer exists. This will be removed upstream in 1.11
 	rm -f -r -v debian/tmp/lib/systemd/system/dbus.target.wants
-	# Remove systemd junk.
-	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/systemd
 	# Fix up the development symlink for us installing the shared library
 	# in /lib
 	target=$$(readlink "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so"); \
@@ -216,9 +222,8 @@
 override_dh_install:
 	dh_install $(dh_install_options)
 
-# Yes, we do need both --no- options here. https://bugs.debian.org/837528
 override_dh_installinit:
-	dh_installinit -pdbus --no-restart-on-upgrade --no-restart-after-upgrade
+	dh_installinit -pdbus --no-start
 
 override_dh_installdocs:
 	dh_installdocs --all AUTHORS NEWS README
@@ -260,6 +265,3 @@
 	mv INSTALL.orig INSTALL
 
 override_dh_auto_clean:
-	dh_auto_clean
-	dh_auto_clean --builddirectory=debian/build-debug
-	dh_auto_clean --builddirectory=debian/build-udeb
