## dbus 1.10.24

=== debian/changelog ===
dbus (1.10.24-0+deb9u1) stretch; urgency=medium

  * New upstream stable release
    - dbus/dbus-sysdeps-unix.c: Increase listen() backlog of
      AF_UNIX sockets to the maximum possible, minimizing failed
      connections under heavy load (Closes: #872144)
    - bus/config-loader-expat.c: When parsing dbus-daemon
      configuration, don't delay startup if high-quality entropy
      is not yet available: we trust the configuration anyway, so
      algorithmic complexity attacks via hash table collisions
      are not a concern
    - bus/*: When using the Monitoring interface, match message
      filters that specify a destination correctly
      - test/monitor.c: Add test-cases for this
    - tools/dbus-send.c: Avoid a compiler warning when gcc gets
      confused about a conditionally-initialized variable
    - dbus/dbus-sysdeps-unix.c: Avoid a compiler warning on Solaris
      (not relevant to Debian)

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Oct 2017 12:09:14 +0100

dbus (1.10.22-0+deb9u1) stretch; urgency=medium

  * New upstream stable release
    - d/copyright: Update
    - Drop Doxygen reproducibility patch, applied upstream
    - d/p/backports/Replace-DBUS_USE_TEST_BINARY-(etc.).patch:
      Update backported patch to apply to 1.10.22
  * debian/gbp.conf: Set git branch to debian/stretch

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2017 11:23:02 +0100
