## dbus 1.10.26

=== debian/changelog ===
dbus (1.10.26-0+deb9u1.0nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Tue, 06 Mar 2018 19:38:45 +0200

dbus (1.10.26-0+deb9u1) stretch; urgency=medium

  * New upstream stable release
    - bus/bus.c: Raise file descriptor limit sooner, while we still can
      (before we drop privileges), fixing a regression in 1.10.18 which
      negated a previous fix for local denial of service via resource
      exhaustion
    - test/*, build system: Add a regression test for the above
  * d/tests/root: Re-run test-dbus-daemon as root, since it now contains
    tests that are skipped as non-root
  * d/tests/root: Allow stderr output, because test-dbus-daemon emits
    some (and it is not a problem)

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Mar 2018 08:59:25 +0000
