=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
@@ -10,26 +9,26 @@
  Loic Minier <lool@dooz.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- automake,
+ automake (>= 1:1.10),
+ autotools-dev,
  debhelper (>= 10),
- dh-exec,
- libapparmor-dev [linux-any] <!pkg.dbus.minimal>,
- libaudit-dev [linux-any] <!pkg.dbus.minimal>,
- libcap-ng-dev [linux-any] <!pkg.dbus.minimal>,
+ dh-exec (>= 0.13),
+ doxygen,
+ dpkg-dev (>= 1.16.1),
+ libapparmor-dev (>= 2.8.95) [linux-any],
+ libaudit-dev [linux-any],
+ libcap-ng-dev [linux-any],
  libexpat-dev,
- libglib2.0-dev <!pkg.dbus.minimal>,
- libselinux1-dev [linux-any] <!pkg.dbus.minimal>,
- libsystemd-dev [linux-any] <!pkg.dbus.minimal>,
- libx11-dev <!pkg.dbus.minimal>,
- python3 <!nocheck !pkg.dbus.minimal>,
- python3-dbus <!nocheck !pkg.dbus.minimal>,
- python3-gi <!nocheck !pkg.dbus.minimal>,
- valgrind [amd64 arm64 armhf i386 mips64 mips64el mips mipsel powerpc ppc64 ppc64el s390x] <!pkg.dbus.minimal>,
- xmlto <!nodoc !pkg.dbus.minimal>,
-Build-Depends-Indep:
- doxygen <!nodoc>,
- xsltproc <!nodoc>,
-Standards-Version: 4.0.0
+ libglib2.0-dev,
+ libselinux1-dev [linux-any],
+ libx11-dev,
+ python (>= 2.6),
+ python-dbus,
+ python-gobject,
+ valgrind [amd64 arm64 armhf i386 mips64el mips mipsel powerpc ppc64 ppc64el s390x],
+ xmlto,
+ xsltproc,
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/dbus.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus.git
 Homepage: http://dbus.freedesktop.org/
@@ -39,7 +38,8 @@
 Priority: standard
 Depends:
  adduser,
- lsb-base,
+ init-system-helpers (>= 1.3~),
+ lsb-base (>= 3.2-14),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -63,8 +63,32 @@
  The client-side library can be found in the libdbus-1-3 package, as it is no
  longer contained in this package.
 
+Package: dbus-1-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ dbus (= ${binary:Version}),
+ dbus-x11 (= ${binary:Version}),
+ libdbus-1-3 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ gnome-desktop-testing,
+Description: simple interprocess messaging system (debug symbols)
+ D-Bus is a message bus, used for sending messages between applications.
+ Conceptually, it fits somewhere in between raw sockets and CORBA in
+ terms of complexity.
+ .
+ This package provides support for debugging programs that use the core
+ D-Bus shared library.
+ .
+ See the dbus package description for more information about D-Bus in general.
+
 Package: dbus-1-doc
-Build-Profiles: <!nodoc !pkg.dbus.minimal>
 Section: doc
 Architecture: all
 Depends:
@@ -82,7 +106,6 @@
  See the dbus description for more information about D-Bus in general.
 
 Package: dbus-tests
-Build-Profiles: <!pkg.dbus.minimal>
 Section: misc
 Priority: extra
 Architecture: any
@@ -95,22 +118,20 @@
 Recommends:
  gnome-desktop-testing,
 Breaks:
- dbus-1-dbg (<< 1.11.10-2~),
+ dbus-1-dbg (<< 1.9.10-2~),
 Replaces:
- dbus-1-dbg (<< 1.11.10-2~),
+ dbus-1-dbg (<< 1.9.10-2~),
 Description: simple interprocess messaging system (test infrastructure)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
  terms of complexity.
  .
  This package provides automated and manual tests for D-Bus, and the
- dbus-test-tool utility. It also provides copies of the D-Bus libraries and
- executables compiled with extra debug information and logging.
+ dbus-test-tool utility.
  .
  See the dbus package description for more information about D-Bus in general.
 
 Package: dbus-udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Priority: extra
 Package-Type: udeb
@@ -126,7 +147,6 @@
  suitable for use as a system bus.
 
 Package: dbus-user-session
-Build-Profiles: <!pkg.dbus.minimal>
 Architecture: all
 Multi-Arch: foreign
 Provides:
@@ -136,26 +156,18 @@
  ${misc:Pre-Depends},
 Depends:
  dbus (>= ${source:Version}),
- libpam-systemd,
- systemd,
- ${misc:Depends},
-Recommends:
- systemd-sysv,
+ ${misc:Depends},
 Breaks:
  dbus-x11 (<< 1.9.10-2~),
  policykit-1 (<< 0.105-12~),
  udisks2 (<< 2.1.5-2~),
+Conflicts:
+ libpam-systemd,
+ systemd,
 Description: simple interprocess messaging system (systemd --user integration)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
  terms of complexity.
- .
- On systemd systems, this package opts in to the session model in which
- a user's session starts the first time they log in, and does not end
- until all their login sessions have ended. This model merges all
- parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
- to one graphical session, into a single "user-session" or "super-session"
- within which all background D-Bus services are shared.
  .
  Multiple graphical sessions per user are not currently supported in this
  mode; as a result, it is particularly suitable for gdm, which responds to
@@ -169,7 +181,6 @@
  See the dbus package description for more information about D-Bus in general.
 
 Package: dbus-x11
-Build-Profiles: <!pkg.dbus.minimal>
 Architecture: any
 Section: x11
 Provides:
@@ -218,7 +229,6 @@
  The daemon can be found in the dbus package.
 
 Package: libdbus-1-3-udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Priority: extra
 Package-Type: udeb
